Автор Тема: qt3 libraries  (Прочетена 1655 пъти)

DeadAndDreaming

  • Участници
  • ***
  • Публикации: 9
    • Профил
qt3 libraries
« -: Jun 12, 2005, 17:12 »
конфигурирам инсталацията на kbgoffice и ми дава следната грешка
Цитат
checking for QT libraries... no
configure: error: You need to have the QT 3.0 or higher libraries installed
проверих  в yast-a и имах такива библиотеки даже бяха 3.3.4. намерих ги в /usr/lib/qt3/lib писах ./configure --with-qt-libraries=/usr/lib/qt3/lib и тая гад ми пише
Цитат
checking for QT libraries... strings: '/usr/lib/qt3/lib/libqt.so': No such file
configure: error: The Qt lib directory /usr/lib/qt3/lib found by
        configure does not contain a Qt 3.0 or higher lib
        Use the --with-qt-libraries option if ./configure found
        the wrong Qt lib version.

търсих в kde.org нещо по въпроса но и там няма нищо. надявам се да ми помогнете че само се мъча на тоя 2 томов речник у нас '<img'>  thanks in advance......
p.s. със SuSE 9.3 съм. кернел 2.11.4(default).
Активен

nothing changes just rearranges...

luda_glawa

  • Напреднали
  • *****
  • Публикации: 652
  • Distribution: Kubuntu
  • Window Manager: KDE
    • Профил
    • WWW
qt3 libraries
« Отговор #1 -: Jun 12, 2005, 18:31 »
Не съм 100% сигурен, но виж дали имаш:

libqt3-dev
lidqt3-headers *
qt3-dev-tools *

* За тези библиотеки не съм сигурен, че са ти нужни, но ако не се получи без тях ...
Активен

С Уважение:

Luda Glawa ;-)

the_real_maniac

  • Напреднали
  • *****
  • Публикации: 1258
  • Kernel panic, me - no panic ;-) :-)
    • Профил
qt3 libraries
« Отговор #2 -: Jun 12, 2005, 18:48 »
Добре де , виж къде е този файл libqt.so и дай директорията в която е на configure.

Не ти е виновен configure скрипта.
Активен

Powered by Debian GNU / LINUX /// Intel inside ...

„Насилието е последното убежище на некомпетентността“ - Айзък Азимов (1920 — 1992)

DeadAndDreaming

  • Участници
  • ***
  • Публикации: 9
    • Профил
qt3 libraries
« Отговор #3 -: Jun 12, 2005, 20:45 »
luda_glawa мерси много бате '<img'> стана! само дето са като го компилирам ми дава грешцица, че фаила  main.cpp липсва от директорията /usr/lib/qt/include. някакви идеи. '<img'>
аз ще потърся още в тия кде форуми ама за са няма нищо.
благодаря за помоща  '<img'>
Активен

nothing changes just rearranges...

kamos

  • Напреднали
  • *****
  • Публикации: 243
    • Профил
qt3 libraries
« Отговор #4 -: Jun 12, 2005, 21:15 »
Мисля, че просто ти липсват пакетите за девелоп..........
инсталирай тези пакети които ти липсват , а от ЯСТ ти казва чеса с допълнително име dev
Активен

  • Гост
qt3 libraries
« Отговор #5 -: Jun 16, 2005, 00:06 »
Инсталирай си kde-devel !!! '<img'>
Активен

Подобни теми
Заглавие Започната от Отговора Прегледи Последна публикация
shared libraries
Настройка на програми
Monty 2 2120 Последна публикация Feb 20, 2005, 23:32
от alabal